Skip to main content
POST
/
api
/
games
/
bulk
Generate bulk game data
curl --request POST \
  --url https://hedgeem-v5.qeetoto.com/api/games/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "numberOfGames": 10,
  "numberOfHands": 3,
  "targetRtp": 0.97
}
'
{
  "numberOfGames": 1,
  "numberOfHands": 3,
  "targetRtp": 0.97,
  "generatedAt": "2026-03-24T12:00:00.000Z",
  "games": [
    {
      "gameId": "BULK-0001",
      "numberOfHands": 3,
      "numberOfBettingStages": 3,
      "hands": [
        "AcKd",
        "QsJs",
        "8h7c"
      ],
      "bc1": "Ah",
      "bc2": "3s",
      "bc3": "9d",
      "bc4": "2c",
      "bc5": "Kh",
      "handStageInfoList": [
        {
          "handIndex": 0,
          "bettingStage": 0,
          "percentWin": 62.4,
          "percentDraw": 2.1,
          "percentWinOrDraw": 64.5,
          "oddsActual": 1.55,
          "oddsMargin": 1.5,
          "oddsRounded": 1.5,
          "actualRtp": 0.968,
          "roundingRake": 0,
          "statusIsWinner": false,
          "statusCantLose": false,
          "statusIsFavourite": true,
          "statusBestRtp": false,
          "bestFiveCards": null,
          "handDescShort": null,
          "handDescLong": null
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Supabase Auth JWT. Obtain via Supabase Auth sign-in.

Body

application/json
numberOfGames
integer
default:50

How many games to generate (1–200, default 50)

Required range: 1 <= x <= 200
Example:

10

numberOfHands
enum<integer>
default:3

Hands per game — 3 or 4 (default 3)

Available options:
3,
4
Example:

3

targetRtp
number
default:0.97

House RTP target — must be > 0 and < 1 exclusive (default 0.97)

Required range: 0 < x < 1
Example:

0.97

Response

Pre-calculated game states

games
object[]

Pre-calculated game states, one per requested game

numberOfGames
integer

Actual count of games returned

Example:

10

numberOfHands
integer

Hands per game (echoed from request)

Example:

3

targetRtp
number

RTP used for house margin calculations (echoed from request)

Example:

0.97

generatedAt
string<date-time>

ISO 8601 timestamp of when this batch was generated

Example:

"2026-03-24T12:00:00.000Z"